
% [output,x_idx,y_idx]=m_gen_PSF_gauss(N,I,x,y,sigma_x,sigma_y)
N=64;

spots(1:100)=struct(...
    'I',100,...
    'x',10,...
    'y',10,...
    'sigma_x',1,...
    'sigma_y',1);

spots(1).I=1000;

for idx_spot=2:50
    spots(idx_spot).x=N/2*cos((idx_spot-2)/48*pi/2);
    spots(idx_spot).y=N/2*sin((idx_spot-2)/48*pi/2);
    spots(idx_spot).I=spots(idx_spot).I*(1+cos((idx_spot-2)/48*4*pi));
end

for idx_spot=51:100
    spots(idx_spot).x=N*cos((idx_spot-51)/49*pi/2);
    spots(idx_spot).y=N*sin((idx_spot-51)/49*pi/2);
    spots(idx_spot).I=spots(idx_spot).I*(1+sin((idx_spot-51)/49*4*pi));
end



temp=zeros(N);
for idx_spot=1:100
    [output,x_idx,y_idx]=m_gen_PSF_gauss(...
        N,...
        spots(idx_spot).I,...
        spots(idx_spot).x,...
        spots(idx_spot).y,...
        spots(idx_spot).sigma_x,...
        spots(idx_spot).sigma_y);
    temp(x_idx,y_idx)=temp(x_idx,y_idx)+output;
end

figure
imagesc(temp)
axis equal;
axis tight
% axis off
colormap gray

%%
figure
mesh(temp)
set(gca,'DataaspectRatio',[1 1 5])
axis tight
